Package com.trilead.ssh2.auth

## Interface AgentIdentity

    public interface AgentIdentity

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAlgName()`
`byte[]` `getPublicKeyBlob()`
`byte[]` `sign​(byte[] data)`

### Method Detail

#### getAlgName

    java.lang.String getAlgName()

#### getPublicKeyBlob

    byte[] getPublicKeyBlob()

#### sign

    byte[] sign​(byte[] data)